package com.ssj.bean.conch.conch.dto;

import java.io.Serializable;

/**
 * @Author: chchen
 * @Description
 * @Date Create in 14:39 2019/11/13
 * @Modified By
 */
public class HomeworkCheckStatusDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String homeworkId;


    private int countCheckStartTime;

    private int countCheckEndTime;

    private int totalCount;

    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }

    public int getCountCheckStartTime() {
        return countCheckStartTime;
    }

    public void setCountCheckStartTime(int countCheckStartTime) {
        this.countCheckStartTime = countCheckStartTime;
    }

    public int getCountCheckEndTime() {
        return countCheckEndTime;
    }

    public void setCountCheckEndTime(int countCheckEndTime) {
        this.countCheckEndTime = countCheckEndTime;
    }

    public int getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(int totalCount) {
        this.totalCount = totalCount;
    }

    public boolean isCheckingFlag (){
        if (this.countCheckStartTime > 0){
            return true;
        } else {
            return false;
        }
    }
    public boolean isCheckedFlag (){
        if (this.countCheckEndTime == this.countCheckStartTime && this.totalCount == this.countCheckStartTime){
            return true;
        } else {
            return false;
        }
    }
}
